=== debian/changelog ===
liblxqt (1.2.0-8) unstable; urgency=medium

  * Fix wrong Breaks/Replaces in liblxqt1-dev. (Closes: #1034943)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 29 May 2023 03:12:02 +0800

liblxqt (1.2.0-7) unstable; urgency=medium

  * liblxqt1-dev: sufficient Breaks and Replaces declarations.
    Thanks Helmut Grohne <helmut@subdivi.de>. (Closes:#1034943)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 13 May 2023 11:41:17 +0200

liblxqt (1.2.0-6) unstable; urgency=medium

  * Add missing Breaks/Replaces (Closes: #1034894)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Apr 2023 13:10:28 +0800

liblxqt (1.2.0-5) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * debian/control: Set liblxqt1-dev package section to libdevel again.
  * debian/copyright: Overhauled copyright file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 13:02:36 +0800

liblxqt (1.2.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Add Multi-Arch: same in liblxqt1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 24 Dec 2022 02:17:13 +0800

liblxqt (1.2.0-3) unstable; urgency=medium

  * Fix d/liblxqt-backlight-helper.lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 00:35:39 +0800

liblxqt (1.2.0-2) unstable; urgency=medium

  * Move bin/lxqt-backlight_backend into liblxqt-backlight-helper (Closes: #933189).
  * Fix liblxqt1-dev Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 00:05:12 +0800

liblxqt (1.2.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * New upstream release.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/watch for GitHub.
  * Add shlibs file.
  * Add Rules-Requires-Root: no.

  [ Pino Toscano ]
  * debian/rules: fix non-Linux check by comparing against "linux" directly.
  * debian/liblxqt1.install: install backlight-related files only on Linux.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Dec 2022 22:23:24 +0800

liblxqt (1.1.0-2) unstable; urgency=medium

  * Team upload. (Closes: #1013334)
  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.
  * debian/liblxqt1.lintian-overrides: change binary-without-manpage to
    no-manual-page.
  * debian/liblxqt1.install: drop dh-exec, relying instead on debhelper 13
    for substitutions.
  * debian/liblxqt1.lintian-overrides: drop application-in-library-
    section, the false positive has been fixed in lintian.
  * debian/rules: link time optimizations enabled. (Closes: #1015501)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 23:58:13 +0800
