=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0~),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.10.0~),
               libqt5xdgiconloader-dev (>= 3.10.0~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.12.0~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt
Rules-Requires-Root: no

Package: liblxqt1
Architecture: any
Multi-Arch: same
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Breaks: liblxqt0 (<< 0.99)
Replaces: liblxqt0 (<< 0.99)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt1-dev
Architecture: any
Section: libdevel
Depends: liblxqt1 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.10.0~),
         libqt5xdgiconloader-dev (>= 3.10.0~),
         lxqt-build-tools (>= 0.12.0~),
         ${misc:Depends}
Breaks: liblxqt0-dev (<< 0.99)
Replaces: liblxqt0-dev (<< 0.99)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-backlight-helper
Architecture: any
Depends: liblxqt1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt0 (<< 0.99),
        liblxqt1 (<< 1.2.0-2)
Replaces: liblxqt0 (<< 0.99),
          liblxqt1 (<< 1.2.0-2)
Description: backlight helper for liblxqt
 This package contains the backlight helper for liblxqt.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.
