=== debian/changelog ===
liblxqt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * wrap-and-sort.
  * Update Standards-version to 4.6.2, no changes needed.
  * Update copyright file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 May 2023 12:12:24 -0500

liblxqt (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against lxqt-build-tools 0.12.0-0ubuntu3.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 13:49:31 -0600

liblxqt (1.2.0-0ubuntu2) lunar; urgency=medium

  * Removed the obsolete '-Wl,--as-needed' linker flag from debian/rules.
  * Removed trailing whitespace from changelog.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 28 Nov 2022 14:44:46 -0600

liblxqt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Remove unnecessary dh-exec call.
  * Remove a seemingly-obsolete Lintian override.
  * Fix a typo in the upstream metadata.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:19:19 -0600

liblxqt (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Add additional Breaks/Replaces on liblxqt0 just to be safe.
  * Bump install dependencies.
  * Remove the linux-any prefix for liblxqt1, since it's causing issues
    and seems to be a Debian fix anyway.
  * Symbols.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 31 May 2022 17:49:16 -0500

liblxqt (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies to pick up the new LXQt stack.
  * Update Standards-version to 4.6.1, no changes needed.
  * Update copyright.
  * Move liblxqt0 to liblxqt1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 May 2022 15:56:47 -0500
