=== debian/changelog ===
liblxqt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:06:24 +0000

liblxqt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:39:13 +0000

liblxqt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump libqtxdg-related build dependencies.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 12:13:40 -0600
