=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.11.0),
-               libqt5xdgiconloader-dev (>= 3.10.0),
+               libqt5xdg-dev (>= 3.12.0),
+               libqt5xdgiconloader-dev (>= 3.12.0),
                libx11-dev,
                libxss-dev,
                lxqt-build-tools (>= 0.13.0)
