## liblxqt 2.0.0

=== debian/changelog ===
liblxqt (2.0.0-0ubuntu2) oracular; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 23 Aug 2024 21:22:05 +0100

liblxqt (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Bump soname.
  * Adjust package names.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:03:02 -0500
