=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               libkf5windowsystem-dev (>= 5.36.0),
-               libpolkit-qt5-1-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.12.0),
-               libqt5xdgiconloader-dev (>= 3.12.0),
+               libkf6windowsystem-dev (>= 6.0.0),
+               libpolkit-qt6-1-dev,
+               libqt6xdg-dev (>= 4.0.0),
+               libqt6xdgiconloader-dev (>= 4.0.0),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 2.0.0),
+               qt6-svg-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/liblxqt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/liblxqt-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
@@ -25,7 +24,7 @@
 Homepage: https://github.com/lxqt/liblxqt
 Rules-Requires-Root: no
 
-Package: liblxqt1
+Package: liblxqt2
 Architecture: any
 Depends: desktop-file-utils,
          shared-mime-info,
@@ -33,8 +32,8 @@
          ${shlibs:Depends}
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: liblxqt0 (<< 0.99)
-Replaces: liblxqt0 (<< 0.99)
+Breaks: liblxqt0 (<< 0.99), liblxqt1
+Replaces: liblxqt0 (<< 0.99), liblxqt1
 Description: Shared libraries for LXQt desktop environment (libs)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
@@ -44,13 +43,13 @@
  This package contains the shared libraries needed by the LXQt desktop
  environment.
 
-Package: liblxqt1-dev
+Package: liblxqt2-dev
 Architecture: any
 Section: libdevel
-Depends: liblxqt1 (= ${binary:Version}),
-         libqt5xdg-dev (>= 3.9.1),
-         libqt5xdgiconloader-dev (>= 3.9.1),
-         lxqt-build-tools (>= 0.11.0),
+Depends: liblxqt2 (= ${binary:Version}),
+         libqt6xdg-dev (>= 4.0.0),
+         libqt6xdgiconloader-dev (>= 4.0.0),
+         lxqt-build-tools (>= 2.0.0),
          ${misc:Depends}
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
@@ -64,6 +63,6 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
