=== debian/changelog ===
liblxqt (2.1.0-3) unstable; urgency=medium

  * debian/control: make liblxqt-l10n depends on qt6-translations-l10n
    instead of qt6-tools-dev. (Closes: #1104241).
    Thanks Bryan Gardiner for the report.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 27 Apr 2025 18:17:46 +0200

liblxqt (2.1.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: add conflicts and replaces on liblxqt1 in liblxqt2.
    (Closed: #1102710)
  * debian/copyright: added myself.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 12 Apr 2025 17:52:34 +0200

liblxqt (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.1.0~).
  * debian/control: build-deps on libqt6xdgiconloader-dev (>= 4.1.0~).
  * debian/control: depends on lxqt-build-tools (>= 2.1.0~).
  * debian/control: depends on ibqt6xdg-dev (>= 4.1.0~).
  * debian/control: depends on libqt6xdgiconloader-dev (>= 4.1.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Dec 2024 20:15:58 +0100

liblxqt (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:26:30 +0100

liblxqt (2.0.0-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-tools-dev (>= 6.7.2).
  * debian/control: drop depends on libqt5xdgiconloader-dev (>= 3.12.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 17:43:40 +0200

liblxqt (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.0
  * debian/control: Update liblxqt-l10n deps to qt6-tools-dev
  * debian/control: build-deps on libkf6windowsystem-dev (>= 6.0.0~).
  * debian/control: build-deps on lxqt-build-tools (>=
    2.0.0~+really2.0.0~).
  * debian/control: build-deps on libpolkit-qt6-1-dev.
  * debian/control: remove build-deps on libqt5x11extras5-dev.
  * debian/control: build-deps on qt6-svg-dev.
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * Bump liblxqt1 to liblxqt2.
  * Rename .install files to liblxqt2
  * Bump debian/liblxqt1.shlibs to debian/liblxqt2.shlibs
  * debian/liblxqt2.install: Bump soversion
  * debian/control: add Breakes & Replaces field for liblxqt2-dev.
  * Add diversions for liblxqt2 Needed for enabling installation alongside
    the Qt5 version

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.

  [ Severus Septimius ]
  * debian/control: add build-dep on libglib2.0-dev.

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: disable reprotest as not supported experimental.
  * debian/salsa-ci.yml: disable piupart as it failed to fetch build-
    deps from experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 14 Sep 2024 17:07:27 +0200

liblxqt (1.4.0-4) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078285)
  * Clean up of group membership after 2nd calls.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Sep 2024 12:24:18 +0200

liblxqt (1.4.0-3) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/control: recommends on liblxqt-backlight-helper to make brightness
    adjustment working again.

  [ ChangZhuo Chen (陳昌倬) ]
  * debian/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 01 May 2024 11:34:50 +0800

liblxqt (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on libqt5xdgiconloader-dev (>= 3.12.0~).
  * debian/control: drop replaces and breaks that not exist in previous
    stable release.
  * debian/control: adjust versioned depends on liblxqt1-dev.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Dec 2023 16:52:27 +0100

liblxqt (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/control: update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 04 Dec 2023 22:27:18 +0800

liblxqt (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Jun 2023 23:00:11 +0800
