## liblxqt 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(QT_MINIMUM_VERSION "6.6.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 2)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 1)
+set(LXQT_MINOR_VERSION 2)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -23,7 +23,7 @@
 #
 # In a perfect world all components would have the same major- and minor- and
 # patch-version as liblxqt - in real life it will be fine if every component
-# has it's own patch version within a major/minor life cyle.
+# has it's own patch version within a major/minor life cycle.
 #
 set(LXQT_PATCH_VERSION 0)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
@@ -272,7 +272,7 @@
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
     "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
-    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
+    INSTALL_DESTINATION "neverland"     # required, although we don't install it
 )
 
 #************************************************
