=== translations/CMakeLists.txt ===
project(liblxqt)

build_component("." "")
