=== debian/changelog ===
liblxqt (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 21:09:58 +0800

liblxqt (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0.
  * debian/control: Bump libqt6xdg-dev to 4.2.0.
  * debian/control: Bumped the version of libqt6xdgiconloader-dev to 4.2.0.
  * debian/control: Bumped the version of lxqt-build-tools to 2.2.0.
  * debian/copyright: Added myself to the file.

 -- Joel Orón Valiente <moded3v@gmail.com>  Sun, 13 Jul 2025 13:50:01 +0200
