=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                libpolkit-qt6-1-dev,
                libglib2.0-dev,
                qt6-svg-dev,
-               libqt6xdg-dev (>= 4.1.0~),
-               libqt6xdgiconloader-dev (>= 4.1.0~),
+               libqt6xdg-dev (>= 4.2.0~),
+               libqt6xdgiconloader-dev (>= 4.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-tools-dev (>= 6.7.2)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
