## liblxqt 2.3.0

=== debian/changelog ===
liblxqt (2.3.0-2) unstable; urgency=medium

  * Use source only upload.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 16 Nov 2025 22:53:38 +0800

liblxqt (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.3.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on libqt6xdg-dev (>= 4.3.0~),.
  * debian/control: bump to Standards-version to 4.7.2, no changes needed.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: bump versions on liblxqt-dev depends.
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Nov 2025 12:30:44 +0100
