=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               libglib2.0-dev,
                libkf6windowsystem-dev (>= 6.0.0~),
                libpolkit-qt6-1-dev,
-               libglib2.0-dev,
-               qt6-svg-dev,
-               libqt6xdg-dev (>= 4.2.0~),
+               libqt6xdg-dev (>= 4.3.0~),
                libqt6xdgiconloader-dev (>= 4.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
+               qt6-svg-dev,
                qt6-tools-dev (>= 6.7.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
 Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
 Homepage: https://github.com/lxqt/liblxqt
-Rules-Requires-Root: no
 
 Package: liblxqt2
 Architecture: any
@@ -46,9 +45,9 @@
 Architecture: any
 Section: libdevel
 Depends: liblxqt2 (= ${binary:Version}),
-         libqt6xdg-dev (>= 4.1.0~),
-         lxqt-build-tools (>= 2.1.0~),
+         libqt6xdg-dev (>= 4.3.0~),
          libqt6xdgiconloader-dev (>= 4.1.0~),
+         lxqt-build-tools (>= 2.3.0~),
          ${misc:Depends}
 Breaks: liblxqt1-dev
 Replaces: liblxqt1-dev
@@ -62,9 +61,7 @@
 
 Package: liblxqt-backlight-helper
 Architecture: any
-Depends: liblxqt2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: liblxqt2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: liblxqt1 (<< 1.2.0-2)
 Replaces: liblxqt1 (<< 1.2.0-2)
 Description: backlight helper for liblxqt
@@ -74,7 +71,6 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qt6-translations-l10n
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
